org.gnome.gdk

## Class ScrollDirection

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gdk.ScrollDirection

-     public final class ScrollDirection
      extends org.freedesktop.bindings.Constant

  The direction of an `EventScroll`. With traditional wheel mice you will only receive UP and DOWN directions. Most recent mice also allow to move the wheel right and left, so RIGHT and LEFT directions refer to that.
  Since:
    4.0.12
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ScrollDirection` | `DOWN` The Window is scrolled down.
    `static ScrollDirection` | `LEFT` The Window is scrolled to the right.
    `static ScrollDirection` | `RIGHT` The Window is scrolled to the left
    `static ScrollDirection` | `UP` The Window is scrolled up.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DOWN

          public static final ScrollDirection DOWN

      The Window is scrolled down.

    - #### LEFT

          public static final ScrollDirection LEFT

      The Window is scrolled to the right.

    - #### RIGHT

          public static final ScrollDirection RIGHT

      The Window is scrolled to the left

    - #### UP

          public static final ScrollDirection UP

      The Window is scrolled up.